Bug 248887

Summary: Cannot open folder with known json file as project if everything is deactivated
Product: ide Reporter: Vladimir Riha <vriha>
Component: Features On DemandAssignee: Jaroslav Tulach <jtulach>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P3 CC: anebuzelsky, tmysik
Version: 8.1   
Target Milestone: 8.1   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:
Bug Depends on: 248615    
Bug Blocks:    
Attachments: IDE log

Description Vladimir Riha 2014-11-25 14:20:30 UTC
Created attachment 150693 [details]
IDE log

There is a new support for HTML5/JS projects that if some folder contains package.json or bower.json, then you can open the folder as project using Open project dialog - the folder icon becomes HTML/JS project icon (similar to Maven I think).

However if I have ergonomics and all features deactivated (aka standard situation in full distro), this does not work. The folder with known JSON file has standard folder icon and cannot be opened as project. Activating HTML/JS helps.

Thank you


(please note that at the time being, this feature is only in web-main)


Product Version: NetBeans IDE Dev (Build web-main-1580-on-20141125)
Java: 1.7.0_72; Java HotSpot(TM) Client VM 24.72-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_72-b14
System: Linux version 3.13.0-35-generic running on i386; UTF-8; en_US (nb)
Comment 1 Tomas Mysik 2014-11-25 14:28:51 UTC
Not sure if we can do anything in ProjectConvertor's code - if yes, Jardo, please let me know. Thanks.
Comment 2 Jaroslav Tulach 2014-11-26 21:27:49 UTC
Basically a feature request related to issue 248615. Couldn't be addressed before the change propagated to all repositories.
Comment 3 Jaroslav Tulach 2014-12-11 10:41:41 UTC
http://hg.netbeans.org/ergonomics/rev/8028074c1691
Comment 4 Quality Engineering 2014-12-14 05:25:45 UTC
Integrated into 'main-silver', will be available in build *201412140001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/8028074c1691
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #248887: Recognize and register ergonomics' own project convertors
Comment 5 Vladimir Riha 2015-02-06 09:56:18 UTC
Verified, thank you


Product Version: NetBeans IDE Dev (Build 201502060001)
Java: 1.8.0_25; Java HotSpot(TM) Client VM 25.25-b02
Runtime: Java(TM) SE Runtime Environment 1.8.0_25-b17
System: Linux version 3.13.0-35-generic running on i386; UTF-8; en_US (nb)
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo